Loading...
Searching...
No Matches
D3D12_STREAM_OUTPUT_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| _Field_size_full_ (NumEntries) const D3D12_SO_DECLARATION_ENTRY *pSODeclaration
| _Field_size_full_ (NumStrides) const UINT *pBufferStrides

## Public Attributes

UINT | NumEntries
UINT | NumStrides
UINT | RasterizedStream

## Detailed Description

Definition at line 1891 of file mini_d3d12.h.

## Member Function Documentation

## _Field_size_full_() [1/2]

D3D12_STREAM_OUTPUT_DESC::_Field_size_full_ | ( | NumEntries |  | ) | const

References NumEntries.

## _Field_size_full_() [2/2]

D3D12_STREAM_OUTPUT_DESC::_Field_size_full_ | ( | NumStrides |  | ) | const

References NumStrides.

## Member Data Documentation

## NumEntries

UINT D3D12_STREAM_OUTPUT_DESC::NumEntries

Definition at line 1893 of file mini_d3d12.h.

Referenced by _Field_size_full_().

## NumStrides

UINT D3D12_STREAM_OUTPUT_DESC::NumStrides

Definition at line 1895 of file mini_d3d12.h.

Referenced by _Field_size_full_().

## RasterizedStream

UINT D3D12_STREAM_OUTPUT_DESC::RasterizedStream

Definition at line 1896 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h